ggiGetRayPos(3)

NAME
ggiGetRayPos : Find out where the raster beam is

SYNOPSIS
#include <ggi/misc.h>
int ggiGetRayPos(ggi_visual_t vis, int32_t* x, int32_t* y);

DESCRIPTION
Though currently only implemented via matroxfb, this function will retrieve the current position of the raster beam on a display that uses a cathode ray tube, or resembles such internally. Because it has not been implemented and put into widespread use, there may be API fluctuation as to exactly what units x, y are in, especially on displays using doublescanning modes. In addition to numerical values, the following values can be returned in either dimension: GGI_RP_BORDER means the raster is in the border of the screen; GGI_RP_BLANK means the raster is past the border and is turned off; GGI_RP_SYNC means the raster is retracing to the top of the screen.

RETURN VALUE
0 for OK, otherwise an ggi-error(3) code.

SEE ALSO
ggiWaitRayPos(3)